#!/bin/sh

if egrep "^$1$" /etc/start-services.conf > /dev/null ; then
	logger -s "$0: $1 allowed"
	exit 0
else
	if egrep "^$1$" /etc/disallowed-services.conf ; then
		logger -s "$0: $1 explicitly forbidden"
	else
		logger -s "$0: $1 forbidden by default rule"
	fi
	exit 101
fi
